using Avalonia;
using Avalonia.Controls;
using Avalonia.ReactiveUI;
using AvaloniaApplication1.DataBase;
using System;
using System.Threading.Tasks;

namespace DaireApplication
{
    internal sealed class Program
    {
        // Initialization code. Don't use any Avalonia, third-party APIs or any
        // SynchronizationContext-reliant code before AppMain is called: things aren't initialized
        // yet and stuff might break.
        [STAThread]
        public static void Main(string[] args) => BuildAvaloniaApp()
            .StartWithClassicDesktopLifetime(args);
        public static UserTable? currentUser;

        public static int pouringMinTemp = -5;
        public static int absoluteMaxTemp = 70;
        public static int absoluteMinTemp = -10;
        // Avalonia configuration, don't remove; also used by visual designer.
        public static AppBuilder BuildAvaloniaApp()
            => AppBuilder.Configure<App>()
                .UsePlatformDetect()
                .WithInterFont()
                .LogToTrace()
                .UseReactiveUI();

        
    }
}
